<div class="offer-specs">
  <layout-tab-group
    [activeTabIndex]="newOfferStep$ | async"
    (tabChange)="onTabChange($event)"
  >
    <layout-tab-item *ngFor="let tab of tabs; let i = index">
      <layout-tab-label>{{ tab }}</layout-tab-label>
      <layout-tab-body>
        <offer-specs-general-settings
          *ngIf="tab === 'General settings'"
          [offerGeneralSettings]="offerGeneralSettings"
          (submitGeneralSettings)="onSendGeneralSettings($event)"
        ></offer-specs-general-settings>
        <offer-specs-repayment-logic
          *ngIf="tab === 'Repayment logic'"
          [offerRepaymentLogic]="offerRepaymentLogic"
          (submitRepayment)="onSendRepaymentLogic($event)"
        ></offer-specs-repayment-logic>
        <offer-specs-all-charges
          *ngIf="tab === 'Charges'"
        ></offer-specs-all-charges>
        <offer-specs-priorization
          *ngIf="tab === 'Priorization'"
          [charges]="charges"
          (continue)="onContinuePriorization($event)"
          (goBack)="onGoBack()"
        ></offer-specs-priorization>
      </layout-tab-body>
    </layout-tab-item>
  </layout-tab-group>
</div>
